Bug 64956 - xbiff cannot find "flagdown" and "flagup" bitmaps
Summary: xbiff cannot find "flagdown" and "flagup" bitmaps
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 01:17 UTC by Need Real Name
Modified: 2007-03-27 03:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 14:02:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-15 01:17:57 UTC
Description of Problem:
* After startx, my ~/.FVWM2-errors says:
    Warning: Cannot convert string "flagup" to type Pixmap
    Warning: Cannot convert string "flagdown" to type Pixmap
* These files are missing from XFree86-tools:
    /usr/X11R6/include/bitmaps/flagdown
    /usr/X11R6/include/bitmaps/flagup


Version-Release number of selected component (if applicable):
* XFree86-tools-4.2.0-8.i386.rpm
* fvwm2-2.4.6-1.i386.rpm


How Reproducible:
* startx and look at ~/.FVWM2-errors


Steps to Reproduce:
1. Configure the window manager to fvwm2
2. startx
3. cat ~/.FVWM2-errors


Actual Results:
* Warnings from above


Expected Results:
* No warnings


Additional Information:

Comment 1 Mike A. Harris 2002-05-15 14:02:16 UTC
IMHO, any binary application that is looking for files in /usr/include/*
during runtime is horribly broken.  The include directory should never
be used at runtime, only compile time.  The files included in the XFree86
packaging include every file that the XFree86 "make install install.man"
puts into the installroot prior to final rpm packaging.  Any files not
included are either not included for a reason, or are a bug in XFree86
build process.  Personally I'd consider this an XFree86 xbiff bug however,
and xbiff isn't a mission critical application that we support.

My recommendation is for you to file a bug report to XFree86.org directly
(xpert@xfree86.org) to see if there is a problem with the xbiff build
process that should be addressed upstream by them so any fix is available
to everyone.  We'd then pick it up in the next release. 

I'll leave this open for now to wait and see how they respond to your
query.  If they drop a fix in CVS, I'll pick it up from there.

Thanks.



Comment 2 Mike A. Harris 2002-08-08 09:18:20 UTC
This is extremely low priority as we have many much more high priority
bugs at hand.  It is something that XFree86.org should fix by making
the build/install process more sensible.  Please report this upstream,
so it gets fixed in a future XFree86 release.

Closing WONTFIX


Note You need to log in before you can comment on or make changes to this bug.